/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package servidor.datos.base;

import java.sql.*;

public class RegistroAcciones implements MemRegistro {

   private int Id = 0;
   private String Puesto = " ";
   private String Codigo = " ";
   private String Turno = " ";
   private int TiempoLibre = 0;
   private int TiempoOcupado = 0;
   private int TiempoDescanso = 0;
   private Timestamp HoraUltimoMovimiento;
   private Timestamp FechaConexion;
   private String Centro = " ";
   private int Citas = 0;
   private int CitaMultiple = 0;
   private String Estado = " ";
   private String Cola = " ";

   @Override
   public void cargar(ResultSet rs) {
      try {
         setId(rs.getInt(1));
         setPuesto(rs.getString(2));
         setCodigo(rs.getString(3));
         setTurno(rs.getString(4));
         setTiempoLibre(rs.getInt(5));
         setTiempoOcupado(rs.getInt(6));
         setTiempoDescanso(rs.getInt(7));
         setHoraUltimoMovimiento(rs.getTimestamp(8));
         setFechaConexion(rs.getTimestamp(9));
         setCentro(rs.getString(10));
         setCitas(rs.getInt(11));
         setCitaMultiple(rs.getInt(12));
         setEstado(rs.getString(13));
         setCola(rs.getString(14));
      } catch (SQLException ex) {
         ex.printStackTrace();
      }
   }

   @Override
   public String registro() {
      return registroSBuff().toString();
   }

   @Override
   public StringBuilder registroSBuff() {
      StringBuilder buf = new StringBuilder(200);
      buf.append(Id).append('|');
      buf.append(Puesto).append('|');
      buf.append(Codigo).append('|');
      buf.append(Turno).append('|');
      buf.append(TiempoLibre).append('|');
      buf.append(TiempoOcupado).append('|');
      buf.append(TiempoDescanso).append('|');
      buf.append(HoraUltimoMovimiento).append('|');
      buf.append(FechaConexion).append('|');
      buf.append(Centro).append('|');
      buf.append(Citas).append('|');
      buf.append(CitaMultiple).append('|');
      buf.append(Estado).append('|');
      buf.append(Cola).append('|');
      return buf;
   }

   @Override
   public String toString() {
      return "";
   }

   public int getId() {
      return Id;
   }

   public void setId(int Id) {
      this.Id = Id;
   }

   public String getPuesto() {
      return Puesto;
   }

   public void setPuesto(String Puesto) {
      if (Puesto == null || Puesto.equals("")) {
         this.Puesto = " ";
      } else {
         this.Puesto = Puesto;
      }
   }

   public String getCodigo() {
      return Codigo;
   }

   public void setCodigo(String Codigo) {
      if (Codigo == null || Codigo.equals("")) {
         this.Codigo = " ";
      } else {
         this.Codigo = Codigo;
      }
   }

   public String getTurno() {
      return Turno;
   }

   public void setTurno(String Turno) {
      if (Turno == null || Turno.equals("")) {
         this.Turno = " ";
      } else {
         this.Turno = Turno;
      }
   }

   public int getTiempoLibre() {
      return TiempoLibre;
   }

   public void setTiempoLibre(int TiempoLibre) {
      this.TiempoLibre = TiempoLibre;
   }

   public int getTiempoOcupado() {
      return TiempoOcupado;
   }

   public void setTiempoOcupado(int TiempoOcupado) {
      this.TiempoOcupado = TiempoOcupado;
   }

   public int getTiempoDescanso() {
      return TiempoDescanso;
   }

   public void setTiempoDescanso(int TiempoDescanso) {
      this.TiempoDescanso = TiempoDescanso;
   }

   public Timestamp getHoraUltimoMovimiento() {
      return HoraUltimoMovimiento;
   }

   public void setHoraUltimoMovimiento(Timestamp HoraUltimoMovimiento) {
      this.HoraUltimoMovimiento = HoraUltimoMovimiento;
   }

   public Timestamp getFechaConexion() {
      return FechaConexion;
   }

   public void setFechaConexion(Timestamp FechaConexion) {
      this.FechaConexion = FechaConexion;
   }

   public String getCentro() {
      return Centro;
   }

   public void setCentro(String Centro) {
      if (Centro == null || Centro.equals("")) {
         this.Centro = " ";
      } else {
         this.Centro = Centro;
      }
   }

   public int getCitas() {
      return Citas;
   }

   public void setCitas(int Citas) {
      this.Citas = Citas;
   }

   public int getCitaMultiple() {
      return CitaMultiple;
   }

   public void setCitaMultiple(int CitaMultiple) {
      this.CitaMultiple = CitaMultiple;
   }

   public String getEstado() {
      return Estado;
   }

   public void setEstado(String Estado) {
      if (Estado == null || Estado.equals("")) {
         this.Estado = " ";
      } else {
         this.Estado = Estado;
      }
   }

   public String getCola() {
      return Cola;
   }

   public void setCola(String Cola) {
      if (Cola == null || Cola.equals("")) {
         this.Cola = " ";
      } else {
         this.Cola = Cola;
      }
   }

}
